import { QueryKey, InfiniteQueryObserverOptions, InfiniteData } from 'react-query';
import type { WritableAtom, Getter } from 'jotai';
export declare type AtomWithInfiniteQueryAction = {
    type: 'refetch' | 'fetchNextPage' | 'fetchPreviousPage';
};
export declare type AtomWithInfiniteQueryOptions<TQueryFnData, TError, TData, TQueryData> = InfiniteQueryObserverOptions<TQueryFnData, TError, TData, TQueryData> & {
    queryKey: QueryKey;
};
export declare function atomWithInfiniteQuery<TQueryFnData, TError, TData = TQueryFnData, TQueryData = TQueryFnData>(createQuery: AtomWithInfiniteQueryOptions<TQueryFnData, TError, TData, TQueryData> | ((get: Getter) => AtomWithInfiniteQueryOptions<TQueryFnData, TError, TData, TQueryData>), equalityFn?: (a: InfiniteData<TData>, b: InfiniteData<TData>) => boolean): WritableAtom<InfiniteData<TData | TQueryData>, AtomWithInfiniteQueryAction>;
